ru.bitel.bgbilling.plugins.crm.common.model

## Class RegisterTask

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.common.model.RegisterTask

- All Implemented Interfaces:
    java.io.Serializable

      public class RegisterTask
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_ACCEPTED`
    `static int` | `STATUS_CLOSED`
    `static java.lang.String` | `STATUS_LIST`
    `static int` | `STATUS_OPEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getAcceptTime()`
    `int` | `getAcceptUserId()` Возвращает код пользователя принявшего задачу
    `int` | `getAddressObjectId()` Возвращает код адресного параметра объекта договора
    `int` | `getAddressParamId()` Возвращает код адресного параметра договора
    `java.util.Date` | `getCloseTime()`
    `int` | `getCloseUserId()`
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.util.Date` | `getCreateTime()`
    `int` | `getCreateUserId()`
    `java.util.Date` | `getExecuteDate()`
    `java.util.List<java.lang.Integer>` | `getExecutors()`
    `int` | `getGroupId()`
    `int` | `getId()`
    `java.util.Date` | `getLastmodTime()`
    `int` | `getLastmodUserId()`
    `java.util.Date` | `getOpenTime()`
    `java.lang.String` | `getOpenTimeF()`
    `int` | `getOpenUserId()`
    `int` | `getProblemId()`
    `java.lang.String` | `getResolution()`
    `int` | `getStatus()`
    `java.util.Date` | `getTargetDate()`
    `java.lang.String` | `getTargetDateF()`
    `int` | `getTypeId()`
    `boolean` | `isProcessed()`
    `void` | `setAcceptTime(java.util.Date acceptTime)` Устанавливает дату ПРИНЯТИЯ задачи
    `void` | `setAcceptUserId(int acceptUserId)`
    `void` | `setAddressObjectId(int addressObjectId)` Устанавливает код адресного параметра объекта договора
    `void` | `setAddressParamId(int addressParamId)` Устанавливается код адресного параметра из договора
    `void` | `setCloseTime(java.util.Date closeTime)`
    `void` | `setCloseUserId(int closeUserId)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setCreateTime(java.util.Date createTime)`
    `void` | `setCreateUserId(int createUserId)`
    `void` | `setExecuteDate(java.util.Date executeDate)`
    `void` | `setExecutors(java.util.List<java.lang.Integer> executors)`
    `void` | `setGroupId(int groupId)`
    `void` | `setId(int id)` Использовать `getId()`.
    `void` | `setLastmodTime(java.util.Date lastmodTime)`
    `void` | `setLastmodUserId(int lastmodUserId)`
    `void` | `setOpenTime(java.util.Date openTime)`
    `void` | `setOpenUserId(int openUserId)`
    `void` | `setProblemId(int problemId)`
    `void` | `setProcessed(boolean processed)`
    `void` | `setResolution(java.lang.String resolution)`
    `void` | `setStatus(int status)`
    `void` | `setTargetDate(java.util.Date targetDate)`
    `void` | `setTypeId(int typeId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_OPEN

          public static final int STATUS_OPEN

      See Also:
        Constant Field Values

    - #### STATUS_ACCEPTED

          public static final int STATUS_ACCEPTED

      See Also:
        Constant Field Values

    - #### STATUS_CLOSED

          public static final int STATUS_CLOSED

      See Also:
        Constant Field Values

    - #### STATUS_LIST

          public static final java.lang.String STATUS_LIST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegisterTask

          public RegisterTask()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

      Использовать `getId()`.

    - #### getAcceptTime

          public java.util.Date getAcceptTime()

    - #### setAcceptTime

          public void setAcceptTime(java.util.Date acceptTime)

      Устанавливает дату ПРИНЯТИЯ задачи
      Parameters:
        `acceptTime` - дата ПРИНЯТИЯ задачи

    - #### setStatus

          public void setStatus(int status)

    - #### setResolution

          public void setResolution(java.lang.String resolution)

    - #### setProblemId

          public void setProblemId(int problemId)

    - #### setOpenUserId

          public void setOpenUserId(int openUserId)

    - #### setOpenTime

          public void setOpenTime(java.util.Date openTime)

    - #### setGroupId

          public void setGroupId(int groupId)

    - #### setExecutors

          public void setExecutors(java.util.List<java.lang.Integer> executors)

    - #### setContractId

          public void setContractId(int contractId)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### setCloseUserId

          public void setCloseUserId(int closeUserId)

    - #### setCloseTime

          public void setCloseTime(java.util.Date closeTime)

    - #### setAcceptUserId

          public void setAcceptUserId(int acceptUserId)

    - #### setTargetDate

          public void setTargetDate(java.util.Date targetDate)

    - #### setTypeId

          public void setTypeId(int typeId)

    - #### setExecuteDate

          public void setExecuteDate(java.util.Date executeDate)

    - #### setAddressParamId

          public void setAddressParamId(int addressParamId)

      Устанавливается код адресного параметра из договора
      Parameters:
        `addressParamId` - - id из таблицы contract_parameters_pref

    - #### getAcceptUserId

          public int getAcceptUserId()

      Возвращает код пользователя принявшего задачу
      Returns:
        код пользователя

    - #### getCloseTime

          public java.util.Date getCloseTime()

    - #### getCloseUserId

          public int getCloseUserId()

    - #### getComment

          public java.lang.String getComment()

    - #### getContractId

          public int getContractId()

    - #### getExecutors

          public java.util.List<java.lang.Integer> getExecutors()

    - #### getGroupId

          public int getGroupId()

    - #### getOpenTime

          public java.util.Date getOpenTime()

    - #### getOpenTimeF

          public java.lang.String getOpenTimeF()

    - #### getOpenUserId

          public int getOpenUserId()

    - #### getProblemId

          public int getProblemId()

    - #### getResolution

          public java.lang.String getResolution()

    - #### getStatus

          public int getStatus()

    - #### getTargetDate

          public java.util.Date getTargetDate()

    - #### getTargetDateF

          public java.lang.String getTargetDateF()

    - #### getTypeId

          public int getTypeId()

    - #### getExecuteDate

          public java.util.Date getExecuteDate()

    - #### getAddressParamId

          public int getAddressParamId()

      Возвращает код адресного параметра договора
      Returns:
        id из таблицы contract_parameters_pref

    - #### isProcessed

          public boolean isProcessed()

    - #### setProcessed

          public void setProcessed(boolean processed)

    - #### getLastmodTime

          public java.util.Date getLastmodTime()

    - #### setLastmodTime

          public void setLastmodTime(java.util.Date lastmodTime)

    - #### getLastmodUserId

          public int getLastmodUserId()

    - #### setLastmodUserId

          public void setLastmodUserId(int lastmodUserId)

    - #### getCreateTime

          public java.util.Date getCreateTime()

    - #### setCreateTime

          public void setCreateTime(java.util.Date createTime)

    - #### getCreateUserId

          public int getCreateUserId()

    - #### setCreateUserId

          public void setCreateUserId(int createUserId)

    - #### getAddressObjectId

          public int getAddressObjectId()

      Возвращает код адресного параметра объекта договора
      Returns:
        id из таблицы object_param

    - #### setAddressObjectId

          public void setAddressObjectId(int addressObjectId)

      Устанавливает код адресного параметра объекта договора
      Parameters:
        `addressObjectId` - - id из таблицы object_param